## org.eclipse.emf.codegen.merge.java.facade
Class FacadeVisitor

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.FacadeVisitor

Direct Known Subclasses:
  JMerger.PullTargetVisitor, JMerger.PushSourceVisitor, JPatternDictionary

    public class FacadeVisitor

extends java.lang.Object

Field Summary
`protected JNode` `rootNode`

Constructor Summary
`FacadeVisitor()`

Method Summary
`protected void` `afterVisit(JNode node)`
`protected void` `afterVisitChildren(JNode node)`
`protected boolean` `basicVisit(JNode node)`
`protected void` `beforeVisit(JNode node)`
`protected boolean` `dispatch(JNode node)`
`protected JNode` `getRootNode()`
`void` `start(JNode node)`
`protected boolean` `visit(JAbstractType abstractType)`
`protected boolean` `visit(JAnnotation annotation)`
`protected boolean` `visit(JAnnotationTypeMember annotationTypeMember)`
`protected boolean` `visit(JCompilationUnit compilationUnit)`
`protected boolean` `visit(JEnumConstant enumConstant)`
`protected boolean` `visit(JField field)`
`protected boolean` `visit(JImport jImport)`
`protected boolean` `visit(JInitializer initializer)`
`protected boolean` `visit(JMethod method)`
`protected void` `visit(JNode node)`
`protected boolean` `visit(JPackage jPackage)`
`protected void` `visitChildren(JNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootNode

    protected JNode rootNode

Constructor Detail

### FacadeVisitor

    public FacadeVisitor()

Method Detail

### start

    public void start(JNode node)

### getRootNode

    protected JNode getRootNode()

### visit

    protected void visit(JNode node)

### beforeVisit

    protected void beforeVisit(JNode node)

### afterVisit

    protected void afterVisit(JNode node)

### afterVisitChildren

    protected void afterVisitChildren(JNode node)

### dispatch

    protected boolean dispatch(JNode node)

### visitChildren

    protected void visitChildren(JNode node)

### basicVisit

    protected boolean basicVisit(JNode node)

### visit

    protected boolean visit(JCompilationUnit compilationUnit)

### visit

    protected boolean visit(JField field)

### visit

    protected boolean visit(JImport jImport)

### visit

    protected boolean visit(JInitializer initializer)

### visit

    protected boolean visit(JMethod method)

### visit

    protected boolean visit(JPackage jPackage)

### visit

    protected boolean visit(JAbstractType abstractType)

### visit

    protected boolean visit(JAnnotation annotation)

### visit

    protected boolean visit(JAnnotationTypeMember annotationTypeMember)

### visit

    protected boolean visit(JEnumConstant enumConstant)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.